/**
 * @file    main.cpp
 * @brief   app entry point
 * @author  hendrik schutter
 * @date    01.05.2020
 */

#include "../include/reHDD.h"
#include "../include/printer.h"

/**
 * \brief   app entry point
 * \param	void
 * \return  Status-Code
 */
int main(void)
{
    cout << "refurbishingHddTool" << endl;

    Drive *tmpDrive = new Drive("/dev/");
    tmpDrive->setActionStartTimestamp();
    tmpDrive->bWasShredded = true;
    tmpDrive->setDriveSMARTData("modelFamily",
        "modelName",
        "serial",
         42,
         43,
         44,
         45,
         46);

    while(true){
        cout << "send" << endl;
        Printer::getPrinter()->print(tmpDrive);
        sleep(5); // sleep 5 sec
    }

    

    cout << "exit" << endl;

    // reHDD *app = new reHDD();
    // app->app_logic();
    return EXIT_SUCCESS;
}